class auto_update_debian {

#this class ensures that packages that have security holes
#are upgraded according to the latest security advisories
#


#file { "/etc/apt/apt.conf.d/20auto-upgrades":
#	owner => root,
#	group => root,
#	mode => 0644,
#	source => 'puppet:///etc/apt/apt.conf.d/20auto-upgrades'
#}

#file { "/etc/apt/apt.conf.d/50unattended-upgrades":
#	owner => root,
#	group => root,
#	mode => 0644,
#	source => 'puppet:///etc/apt/apt.conf.d/50unattended-upgrades'
#}

file {"20auto-upgrades":
	   path => "/etc/apt/apt.conf.d/20auto-upgrades",
	   ensure => present,
	   content => template("auto_update_debian/20auto-upgrades")
}

file {"50unattended-upgrades":
	   path => "/etc/apt/apt.conf.d/50unattended-upgrades",
	   ensure => present,
	   content => template("auto_update_debian/50unattended-upgrades")
}




# the package unattended-upgrades makes sure ALL security packages are up to date
package { unattended-upgrades: ensure => latest,
	  require => [ File["20auto-upgrades"], File["50unattended-upgrades"] ]
	 }
#package { logwatch: ensure => latest, require => Package[logwatch] } 
#package { proftpd-dfsg: ensure => latest }
#package { logwatch: ensure => latest }
#package { shadow: ensure => latest }
#package { openssl: ensure => latest }
#package { dpkg: ensure => latest, require => Package[dpkg] }
#package { libxml2: ensure => latest, require => Package[libxml2] }
#package { bzip2: ensure => latest, require => Package[bzip2] }
#package { lvm2: ensure => latest, require => Package[lvm2] }
#package { gzip: ensure => latest, require => Package[gzip] }
#package { sudo: ensure => latest }


}
